Colt 1.2.0

## cern.colt.matrix.impl
Class AbstractMatrix2D

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.matrix.impl.AbstractMatrix
              cern.colt.matrix.impl.AbstractMatrix2D

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  DoubleMatrix2D, ObjectMatrix2D

public abstract class AbstractMatrix2D
extends AbstractMatrix

Abstract base class for 2-d matrices holding objects or primitive data types such as `int`, `double`, etc. First see the package summary and javadoc tree view to get the broad picture.

Note that this implementation is not synchronized.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Method Summary
`void` | `checkShape(AbstractMatrix2D B)` Sanity check for operations requiring two matrices with the same number of columns and rows.
`void` | `checkShape(AbstractMatrix2D B, AbstractMatrix2D C)` Sanity check for operations requiring matrices with the same number of columns and rows.
`int` | `columns()` Returns the number of columns.
`int` | `rows()` Returns the number of rows.
`int` | `size()` Returns the number of cells which is `rows()*columns()`.
`String` | `toStringShort()` Returns a string representation of the receiver's shape.

Methods inherited from class cern.colt.matrix.impl.AbstractMatrix
`ensureCapacity, trimToSize`

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkShape

    public void checkShape(AbstractMatrix2D B)

  Sanity check for operations requiring two matrices with the same number of columns and rows.

  Throws:
    `IllegalArgumentException` - if `columns() != B.columns() || rows() != B.rows()`.

### checkShape

    public void checkShape(AbstractMatrix2D B,
                           AbstractMatrix2D C)

  Sanity check for operations requiring matrices with the same number of columns and rows.

  Throws:
    `IllegalArgumentException` - if `columns() != B.columns() || rows() != B.rows() || columns() != C.columns() || rows() != C.rows()`.

### columns

    public int columns()

  Returns the number of columns.

### rows

    public int rows()

  Returns the number of rows.

### size

    public int size()

  Returns the number of cells which is `rows()*columns()`.

  Specified by:
    `size` in class `AbstractMatrix`

### toStringShort

    public String toStringShort()

  Returns a string representation of the receiver's shape.

Colt 1.2.0

Jump to the Colt Homepage